Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class Workspace

    java.lang.Object
      org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.ide.idea.model.Workspace

    class Workspace
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an ipr (via XML hooks everything of the ipr is customizable).

Constructor Summary
`Workspace(XmlTransformer withXmlActions)`

Method Summary
`protected String` | `getDefaultResourceName()`
`protected void` | `load(Node xml)`
`protected void` | `store(Node xml)`

Constructor Detail

### Workspace

    Workspace(XmlTransformer withXmlActions)

Method Detail

### getDefaultResourceName

    @Override
    protected String getDefaultResourceName()

### load

    @Override
    protected void load(Node xml)

### store

    @Override
    protected void store(Node xml)

Gradle API 1.10